Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.base
[Java] Interface FunctionalSourceSet

    org.gradle.api.NamedDomainObjectSet
      org.gradle.api.PolymorphicDomainObjectContainer
          org.gradle.api.ExtensiblePolymorphicDomainObjectContainer
              org.gradle.language.base.FunctionalSourceSet
                  java.lang.Iterable
                      org.gradle.api.NamedDomainObjectCollection
                          org.gradle.api.DomainObjectCollection
                              org.gradle.util.Configurable
                                  org.gradle.api.Named
                                      java.util.Collection
                                          org.gradle.api.NamedDomainObjectContainer

All Superinterfaces:
  NamedDomainObjectSet, PolymorphicDomainObjectContainer, ExtensiblePolymorphicDomainObjectContainer, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Configurable, Named, Collection, NamedDomainObjectContainer

    @Incubating
    public interface FunctionalSourceSet
    extends ExtensiblePolymorphicDomainObjectContainer, Named

A container holding LanguageSourceSets with a similar function (production code, test code, etc.).

Method Summary

Methods inherited from interface ExtensiblePolymorphicDomainObjectContainer
registerBinding, registerFactory, registerFactory

Methods inherited from interface Named
getName

Gradle API 1.10